View Issue Details

IDProjectCategoryView StatusLast Update
0002846GNUnetATS servicepublic2013-12-24 20:55
ReporterChristian GrothoffAssigned ToMatthias Wachs 
PriorityhighSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002846: ATS 'assemble_ats_information' has hard-coded ATS types/costs
DescriptionInstead of having a hard-coded set of 8 values, ATS should ONLY fill in those values that are actually known for an address; this currently breaks DV as the distance is set to 0, which is an unexpected value; similarly, costs for WLAN/LAN/utilization/etc should all ideally only be present if they were computed/present/known for a particular address. Ideally, ATS would be written entirely unaware of the semantics of the various ATS values; now, that may not be possible in reality, but at least as far as passing information along to the higher layers this should be achieved.
TagsNo tags attached.

Relationships

child of 0001795 confirmed DV is not implemented 

Activities

Matthias Wachs

2013-04-02 09:31

manager   ~0007025

@CG:
1) Your requirements are not in line with the discussion we had about performance API. So there is no reason for me to change that.

2) ATS is written as unaware as possible.

- Should performance API return all values or only the values known or values that did change?

Your answer:
- All values, service has to discard or to care of last known value

In addition:
"this currently breaks DV as the distance is set to 0, which is an unexpected value"

You mentioned:
"Having a distance of 0 means directly connected"

Matthias Wachs

2013-04-03 14:22

manager   ~0007028

Doen in 26735.

Issue History

Date Modified Username Field Change
2013-03-30 17:15 Christian Grothoff New Issue
2013-03-30 17:15 Christian Grothoff Status new => assigned
2013-03-30 17:15 Christian Grothoff Assigned To => Matthias Wachs
2013-03-30 17:31 Christian Grothoff Relationship added child of 0001795
2013-04-02 09:31 Matthias Wachs Note Added: 0007025
2013-04-03 14:22 Matthias Wachs Note Added: 0007028
2013-04-03 14:22 Matthias Wachs Status assigned => resolved
2013-04-03 14:22 Matthias Wachs Resolution open => fixed
2013-04-12 12:43 Christian Grothoff Fixed in Version => 0.10.0
2013-04-12 12:43 Christian Grothoff Target Version => 0.10.0
2013-12-24 20:55 Christian Grothoff Status resolved => closed